{
  "name": "vue-3-infinite-scroll-directive-plugin",
  "version": "1.0.6",
  "description": "Vue 3 plugin to help implementing an infinite scroll",
  "keywords": [
    "vue plugin",
    "infinite scroll",
    "loading",
    "vue-3"
  ],
  "homepage": "https://gitlab.com/totol.toolsuite/vue3-infinite-scroll-plugin",
  "bugs": {
    "url": "https://gitlab.com/totol.toolsuite/vue3-infinite-scroll-plugin/-/issues",
    "email": "totol.toolsuite@gmail.com"
  },
  "author": {
    "name": "Anatole Acqueberge"
  },
  "license": "MIT",
  "type": "module",
  "files": [
    "dist"
  ],
  "main": "./dist/vue-3-infinite-scroll.umd.cjs",
  "module": "./dist/vue-3-infinite-scroll.js",
  "exports": {
    ".": {
      "types": "./dist/index.d.ts",
      "import": "./dist/vue-3-infinite-scroll.js",
      "require": "./dist/vue-3-infinite-scroll.umd.cjs"
    },
    "./style.css": "./dist/style.css"
  },
  "scripts": {
    "dev": "vite",
    "build": "vite build && npm run generate:types",
    "preview": "vite preview",
    "generate:types": "vue-tsc --declaration --emitDeclarationOnly --outdir ./dist",
    "test": "vitest"
  },
  "dependencies": {
    "happy-dom": "^6.0.4",
    "vue": "^3.4.19"
  },
  "devDependencies": {
    "@vitejs/plugin-vue": "^5.0.4",
    "@vue/test-utils": "^2.4.4",
    "eslint": "^8.57.0",
    "eslint-plugin-vue": "^9.22.0",
    "typescript": "^5.2.2",
    "vite": "^5.1.4",
    "vitest": "^1.3.1",
    "vue-tsc": "^1.8.27"
  }
}
